event_base(3) | Library Functions Manual | event_base(3)

# NAME

event_base - Structure to hold information and state for a Libevent dispatch loop.

# SYNOPSIS

#include <event.h>

# Detailed Description

Structure to hold information and state for a Libevent dispatch loop.

The event_base lies at the center of Libevent; every application will have one. It keeps track of all pending and active events, and notifies your application of the active ones.

This is an opaque structure; you can allocate one using event_base_new() or event_base_new_with_config().

See also:

event_base_new(), event_base_free(), event_base_loop(), event_base_new_with_config()

# Author

Generated automatically by Doxygen for libevent from the source code.

Tue Jan 31 2017 | libevent